%define		pkg_name	check_mysql_health
Name:		nagios-plugins-mysql-health
Version:	2.2.2
Release:	1.3
Summary:	MySQL health check plugins for Nagios
Group:		Applications/System
License:	GPL
URL:		http://www.consol.de/opensource/nagios/check-mysql-health
Source0:	http://www.consol.de/fileadmin/opensource/Nagios/%{pkg_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Prefix:		%{_prefix}/lib/nagios/plugins

Provides:	check-mysql-health
Provides:	check_mysql_health
PreReq: sed

BuildRequires:	perl-DBI perl-DBD-mysql

%description
check_mysql_health is a plugin to check different paramenters of an mysql database.

%description(de)
check_mysql_health ist ein Plugin, mit dem unterschiedliche Parameter einer MySQL-Datenbank überprüft werden können.

%prep
%setup -n %{pkg_name}-%{version}
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir}

%build
%__make

%install
mkdir -p %{buildroot}%{_prefix}/lib/nagios/plugins
%__make DESTDIR=%{buildroot} install
chmod -x AUTHORS ChangeLog README COPYING
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
for PLUGIN in check_mysql_health ; do
  sed -i s@"nagios/plugins"@"%{_prefix}/lib/nagios/plugins"@g ${PLUGIN}
done
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_mysql_health
%doc AUTHORS ChangeLog README COPYING

%changelog
* Thu Aug 11 2016 cs@linux-administrator.com
- Update to release 2.2.2
* Fri Oct 23 2015 cs@linux-administrator.com
- Update to release 2.2.1
* Sat Nov 17 2012 cs@linux-administrator.com
- Update to release 2.1.8.2
* Tue Aug 23 2011 cs@linux-administrator.com
- Update to release 2.1.7
